Bug 39606 - Updated port: audio/lame (3.92)
Updated port: audio/lame (3.92)
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Alexander Leidinger
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2002-06-21 01:10 UTC by cyrille.lefevre
Modified: 2002-10-08 10:31 UTC (History)
1 user (show)

See Also:


Attachments
file.diff (2.03 KB, patch)
2002-06-21 01:10 UTC, cyrille.lefevre
no flags Details | Diff
file.diff (4.27 KB, patch)
2002-06-21 01:10 UTC, cyrille.lefevre
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description cyrille.lefevre 2002-06-21 01:10:01 UTC
	version bump w/ vorbis and NOPORTDOCS support added.

	Makefile
		version bumped.
		master sites updated (lame.sourceforge.net is unreachable).
		vorbis support added (enabled by default, use WITHOUT_VORBIS
		to disable it).
		--enable-mp3rtp added to configure args.
		WITH_GTK and WITHOUT_GTK check deleted since they aren't
		needed (see bsd.gnome.mk for details).
		--enable-mp3x conditionnaly added to configure args.
		some doc files added.
		NOPORTDOCS support added.
		pre-everything target added.
		don't know why, but libmp3lame.la isn't installed (maybe
		it's normal but I have a low knowledge about libtool).
	distinfo
		updated.

	pkg-plist
		mp3rpt added.
		libmp3lame.so symlinked using @exec/@unexec.
		some doc files added.
		include/lame rmdir'ed.

	files/patch-libmp3lame::i386::Makefile
	files/patch-libmp3lame::vorbis_interface.c
		new files.

	PS : audio/lame-devel is out-of-date and isn't anymore required,
	     so, it may be deleted from the port tree.

Fix: take care, this patch set is divided is two parts, the first part
	are diffs against /dev/null and the second part is a cvs diff.
How-To-Repeat: 	n/a
Comment 1 Alexander 2002-06-21 16:28:00 UTC
On 21 Jun, Cyrille Lefevre wrote:

> 	Makefile
[...]
> 		don't know why, but libmp3lame.la isn't installed (maybe

You have it still in the pkg_plist.

> 		it's normal but I have a low knowledge about libtool).

Because of "USE_LIBTOOL" in the Makefile.

> --- /dev/null	Fri Jun 21 01:47:18 2002
> +++ files/patch-libmp3lame::i386::Makefile	Thu Jun 20 02:24:59 2002
[connect some nasm files to the build]

Did you benchmarked it? Do they produce the same output as the unpatched
version? The official response from the committer who committed these
files is, that they shouldn't get used because they aren't converted
from gogo-algorithms to LAME-algorithms.

If they produce the same output please write something up about it and
send it to lame-dev@lists.sourceforge.net. If you don't get negative
feedback, I will commit it to the LAME-CVS then.

[recent vorbis support]
Are you willing to produce patches for configure.in/Makefile.am which
add support for a recent vorbis for non FreeBSD users too? I would
commit them for the next LAME release (I'm a little bit busy at the
moment, else I would make the changes myself).

Bye,
Alexander.

-- 
                   Press every key to continue.

http://www.Leidinger.net                       Alexander @ Leidinger.net
  GPG fingerprint = C518 BC70 E67F 143F BE91  3365 79E2 9C60 B006 3FE7
Comment 2 dwcjr 2002-07-09 17:43:53 UTC
What is the status of this pr?
Comment 3 cyrille.lefevre 2002-07-11 01:53:02 UTC
message resent due to mta misconfigation.

On Wed, Jul 10, 2002 at 03:00:24AM +0200, Cyrille Lefevre wrote:
> On Tue, Jul 09, 2002 at 11:43:53AM -0500, David W. Chapman Jr. wrote:
> > What is the status of this pr?
> 
> I'll give some feedback in a few days. please, be patient... thanks.

Cyrille.
-- 
Cyrille Lefevre                 mailto:cyrille.lefevre@laposte.net
Comment 4 Alexander Leidinger freebsd_committer 2002-10-06 14:23:58 UTC
Responsible Changed
From-To: freebsd-ports->netchild

I'll handle this (and every other PR related to v 3.92).
Comment 5 Alexander Leidinger freebsd_committer 2002-10-08 10:30:42 UTC
State Changed
From-To: open->closed

Committed.
Comment 6 Alexander Leidinger freebsd_committer 2002-10-08 10:30:42 UTC
State Changed
From-To: open->closed

Committed.
Comment 7 Alexander Leidinger freebsd_committer 2002-10-08 10:30:42 UTC
State Changed
From-To: open->closed

Committed.